> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Column Custom Field Values > Update custom field values for a specified column ## OpenAPI ````json PUT /api/v1/DataSteward/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns/{columnId}/custom-fields { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/DataSteward/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns/{columnId}/custom-fields": { "put": { "tags": [ "Data Steward" ], "summary": "Update Column Custom Field Values", "description": "Update custom field values for a specified column", "parameters": [ { "name": "dataSourceId", "in": "path", "description": "Id of the data source having its values updated", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "schemaId", "in": "path", "description": "Id of the schema having its values updated", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "tableId", "in": "path", "description": "Id of the table having its values updated", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "columnId", "in": "path", "description": "Id of the column having its values updated", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "description": "List of new custom field values", "content": { "application/json-patch+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdatedCustomValues" } }, "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdatedCustomValues" } }, "text/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdatedCustomValues" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdatedCustomValues" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.UpdateCustomValueResult" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorListResponse" } } } } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.UpdatedCustomValues": { "title": "UpdatedCustomValues", "type": "object", "properties": { "values": { "type": "array", "items": { "title": "UpdatedCustomValue", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.SingleValue" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.MultiValue" } ] }, "description": "List of user-defined custom field Reference Keys and Values" }, "certifyValues": { "type": "boolean", "description": "Whether the custom field values are flagged as certified" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.UpdateCustomValueResult": { "title": "UpdateCustomValueResult", "type": "object", "properties": { "errors": { "type": "array", "items": { "$ref": "#/components/schemas/FileError" }, "description": "Errors that occurred during processing" }, "identicalCount": { "type": "integer", "description": "Count of custom fields that were not changed because of an identical value.", "format": "int32" }, "insertedCount": { "type": "integer", "description": "Count of custom fields with new values.", "format": "int32" }, "updatedCount": { "type": "integer", "description": "Count of custom fields that were updated with new values.", "format": "int32" }, "deletedCount": { "type": "integer", "description": "Count of custom fields with deleted values.", "format": "int32" }, "skippedCount": { "type": "integer", "description": "Count of custom fields with skipped values.", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorListResponse": { "title": "ErrorListResponse", "type": "object", "properties": { "errors": { "type": "array", "items": { "type": "string" } } }, "additionalProperties": false }, "Configuration.Api.Models.v1.SingleValue": { "title": "SingleValue", "type": "object", "properties": { "value": { "type": "string", "description": "The new value of the custom field", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.MultiValue": { "title": "MultiValue", "type": "object", "properties": { "values": { "type": "array", "items": { "type": "string" }, "description": "The new values of the custom field" } }, "additionalProperties": false }, "FileError": { "type": "object", "properties": { "row": { "type": "integer", "format": "int32", "nullable": true }, "column": { "type": "string", "nullable": true }, "description": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````